Bug 268127 - Hard DBus dependency should be removed
Summary: Hard DBus dependency should be removed
Status: RESOLVED FIXED
Alias: None
Product: Phonon
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 4.5-git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-10 13:13 UTC by Dominik Schmidt
Modified: 2011-04-29 19:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Schmidt 2011-03-10 13:13:33 UTC
Version:           4.5-git (using Devel) 
OS:                Linux

It should be possible to compile Phonon without DBus support even if Qt is built with DBus support.

I want to ship an application with Phonon but dont want to ship it with libdbus and dbus executable.

Reproducible: Didn't try
Comment 1 Harald Sitter 2011-04-29 18:33:04 UTC
additional rationale: Harald wants to build stuff for QML2 and hence built a minimal Qt (without dbus), trying to then use libphonon built with dbus support leads to symbol screwups:

symbol lookup error: /usr/lib/libQtDBus.so.4: undefined symbol: _ZN14QObjectPrivate15checkWindowRoleEv
Comment 2 Harald Sitter 2011-04-29 19:05:55 UTC
Git commit dac028c5d7b0a3475e61c1d65a7fb62e70143af4 by Harald Sitter.
Committed on 29/04/2011 at 19:13.
Pushed by sitter into branch 'master'.

Make DBus optional even when Qt is built with it

Sometimes it is desirable to build and deploy Phonon without dbus even though
the Qt build has dbus support. To achieve that we have a new cmake option
PHONON_NO_DBUS and a new header providing the setting to the world.
Additionally if QT_NO_DBUS is set, we also set P_N_D, making latter the
ultimate macro to go by.

FEATURE: 268127

M  +3    -1    CMakeLists.txt     
M  +9    -6    phonon/CMakeLists.txt     
M  +13   -11   phonon/audiooutput.cpp     
M  +5    -4    phonon/audiooutput_p.h     
M  +2    -1    phonon/audiooutputadaptor.cpp     
M  +4    -2    phonon/audiooutputadaptor_p.h     
M  +8    -7    phonon/factory.cpp     
A  +16   -0    phonon/phononconfig_p.h.in         [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/phonon/dac028c5d7b0a3475e61c1d65a7fb62e70143af4
Comment 3 Harald Sitter 2011-04-29 19:11:25 UTC
Git commit 09483fdc7fbb467e76672a5df69f2e9fbd3211cb by Harald Sitter.
Committed on 29/04/2011 at 19:13.
Pushed by sitter into branch '4.5'.

Make DBus optional even when Qt is built with it

Sometimes it is desirable to build and deploy Phonon without dbus even though
the Qt build has dbus support. To achieve that we have a new cmake option
PHONON_NO_DBUS and a new header providing the setting to the world.
Additionally if QT_NO_DBUS is set, we also set P_N_D, making latter the
ultimate macro to go by.

FEATURE: 268127
FIXED-IN: 4.5.1

M  +3    -1    CMakeLists.txt     
M  +9    -6    phonon/CMakeLists.txt     
M  +13   -11   phonon/audiooutput.cpp     
M  +5    -4    phonon/audiooutput_p.h     
M  +2    -1    phonon/audiooutputadaptor.cpp     
M  +4    -2    phonon/audiooutputadaptor_p.h     
M  +8    -7    phonon/factory.cpp     
A  +16   -0    phonon/phononconfig_p.h.in         [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/phonon/09483fdc7fbb467e76672a5df69f2e9fbd3211cb